﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Examples7_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
		<telerik:RadAjaxManager runat="server" ID="CUCalcsAjaxManager"
			OnAjaxRequest="CUCalcsAjaxManager_AjaxRequest">
			<AjaxSettings>
				<telerik:AjaxSetting AjaxControlID="CUCalcsAjaxManager">
					<UpdatedControls>
						<telerik:AjaxUpdatedControl ControlID="AmortizationRadGrid" />
					</UpdatedControls>
				</telerik:AjaxSetting>
			</AjaxSettings>
		</telerik:RadAjaxManager>

		<telerik:RadAjaxLoadingPanel ID="CUCalcsMgrAjaxLoadingPanel" runat="server" Skin="Windows7" />
		<telerik:RadCodeBlock ID="RadCodeBlock" runat="server">
			<script type="text/javascript">
				function LoadAmortWindow() {
					BindGrid();
					RefreshChart();
				}

				function BindGrid() {
					$find("<%= CUCalcsAjaxManager.ClientID %>").ajaxRequest("RebindAmortGrid");
				}

				function RefreshChart() {
					var chart = $find("<%=AutoAffordRadChart.ClientID %>");
					setTimeout(function () {
						chart.loadData();
					}, 100);
				}
			</script>
		</telerik:RadCodeBlock>
		<div id="mainBody" class="calcMainBodyDiv" style="float: left; width: 675px">
			<div id="amortizeDiv" class="calcOutputRow">
				<button id="AmortizationButton" type="button">Amortization Schedule</button><br />
			</div>
			<div class="calcOutputRow">
				<asp:TextBox ID="LoanAmtTB" runat="server" Text="10" />
			</div>
			<telerik:RadWindow ID="AmortizationRadWindow" runat="server" Title="Amortization Schedule"
				Behaviors="Close, Move, Resize" OpenerElementID="AmortizationButton" Modal="true"
				OnClientShow="LoadAmortWindow" __OnClientBeforeShow="RefreshChart"
				Width="600px" Height="600px" Skin="Windows7">
				<ContentTemplate>
					<div id="amortWindowDiv" runat="server" style="padding: 10px">
						<div id="amortDiv">
							<h1>Amortization Schedule</h1>
							<div id="GridDiv">
								<telerik:RadGrid ID="AmortizationRadGrid" runat="server"
									ClientIDMode="AutoID" Skin="LegalTrak" EnableEmbeddedSkins="false"
									AllowPaging="false" CssClass="calcAmortGrid"
									OnNeedDataSource="AmortizationRadGrid_NeedDataSource"
									AutoGenerateColumns="false" AlternatingItemStyle-BackColor="#E7EEF3">
									<ClientSettings>
										<Scrolling AllowScroll="true" UseStaticHeaders="true" ScrollHeight="350px" />
									</ClientSettings>
									<MasterTableView CommandItemDisplay="None"
										HeaderStyle-HorizontalAlign="Center"
										ItemStyle-HorizontalAlign="Right"
										AlternatingItemStyle-HorizontalAlign="Right"
										FooterStyle-HorizontalAlign="Right"
										FooterStyle-Font-Bold="true">
										<NoRecordsTemplate>
											<p style="text-align: center; font-weight: bold;">Enter your information and click "Calculate" to generate amortization schedule.</p>
										</NoRecordsTemplate>
										<Columns>
											<telerik:GridBoundColumn HeaderText="Mth"
												DataField="Month" />
											<telerik:GridBoundColumn HeaderText="Payment"
												DataField="Payment" DataFormatString="{0:C2}" />
											<telerik:GridBoundColumn HeaderText="Balance"
												DataField="Balance" DataFormatString="{0:C2}" />
<%--											<telerik:GridBoundColumn HeaderText="Interest"
												DataField="MonthlyInterest" DataFormatString="{0:C2}" />
											<telerik:GridBoundColumn HeaderText="Cummulative Interest"
												DataField="CummulativeInterest" DataFormatString="{0:C2}" />
											<telerik:GridBoundColumn HeaderText="Principal"
												DataField="MonthlyPrincipal " DataFormatString="{0:C2}" />
											<telerik:GridBoundColumn HeaderText="Cummulative Principal"
												DataField="CummulativePrincipal" DataFormatString="{0:C2}" />--%>
										</Columns>
									</MasterTableView>
								</telerik:RadGrid>
							</div>
						</div>
						<div id="chartDiv">
							<div id="amortizeDiv2" class="calcOutputRow">
								<button id="ChartButton2" type="button" onclick="RefreshChart()">Chart Refresh</button>
							</div>
							<div style="display: inline-block;">
								<telerik:RadHtmlChart runat="server" ID="AutoAffordRadChart" Width="450px"
									InvokeLoadData="FromCode"
									Transitions="true" Skin="Forest">
									<Appearance>
										<FillStyle BackgroundColor="White"></FillStyle>
									</Appearance>
									<ChartTitle Text="Auto Loan Costs" />
									<PlotArea>
										<Series>
											<telerik:BarSeries DataFieldY="cost" Name="Costs">
												<Appearance>
													<FillStyle BackgroundColor="#f1ac4a" />
												</Appearance>
												<TooltipsAppearance DataFormatString="{0:C}" />
												<LabelsAppearance DataFormatString="{0:C}" Position="Center" />
											</telerik:BarSeries>
										</Series>
										<XAxis DataLabelsField="costName">
											<MinorGridLines Visible="false"></MinorGridLines>
											<MajorGridLines Visible="false"></MajorGridLines>
										</XAxis>
										<YAxis>
											<TitleAppearance Text="Costs"></TitleAppearance>
											<MinorGridLines Visible="false"></MinorGridLines>
										</YAxis>
									</PlotArea>
								</telerik:RadHtmlChart>
							</div>
						</div>
					</div>
				</ContentTemplate>
			</telerik:RadWindow>
		</div>
	</form>
</body>
</html>
